VERSION 5.00
Begin VB.Form frmNotes 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Note Cards [1 of 1]"
   ClientHeight    =   3750
   ClientLeft      =   45
   ClientTop       =   4020
   ClientWidth     =   8175
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MDIChild        =   -1  'True
   MinButton       =   0   'False
   ScaleHeight     =   3750
   ScaleWidth      =   8175
   Begin VB.CommandButton cmdNextCard 
      Caption         =   "&Next Card"
      Enabled         =   0   'False
      Height          =   495
      Left            =   6720
      TabIndex        =   11
      Top             =   3120
      Width           =   1215
   End
   Begin VB.CommandButton cmdJump 
      Caption         =   "&Jump to a Card"
      Enabled         =   0   'False
      Height          =   495
      Left            =   5400
      TabIndex        =   10
      Top             =   3120
      Width           =   1215
   End
   Begin VB.CommandButton cmdPreviousCard 
      Caption         =   "&Previous Card"
      Enabled         =   0   'False
      Height          =   495
      Left            =   4080
      TabIndex        =   9
      Top             =   3120
      Width           =   1215
   End
   Begin VB.CommandButton cmdRemoveCard 
      Caption         =   "&Remove Card"
      Enabled         =   0   'False
      Height          =   495
      Left            =   2760
      TabIndex        =   8
      Top             =   3120
      Width           =   1215
   End
   Begin VB.CommandButton cmdUpdateCard 
      Caption         =   "&Update Card"
      Enabled         =   0   'False
      Height          =   495
      Left            =   1440
      TabIndex        =   7
      Top             =   3120
      Width           =   1215
   End
   Begin VB.CommandButton cmdNewCard 
      Caption         =   "New &Card"
      Height          =   495
      Left            =   120
      TabIndex        =   6
      Top             =   3120
      Width           =   1215
   End
   Begin VB.TextBox txtNotes 
      Height          =   2055
      Left            =   720
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   5
      Top             =   840
      Width           =   7215
   End
   Begin VB.TextBox txtPages 
      Height          =   285
      Left            =   6600
      TabIndex        =   4
      Top             =   360
      Width           =   1455
   End
   Begin VB.ComboBox cmbTitle 
      Height          =   315
      Left            =   4440
      Style           =   2  'Dropdown List
      TabIndex        =   3
      Top             =   360
      Width           =   2055
   End
   Begin VB.ComboBox cmbArticleTitle 
      Height          =   315
      Left            =   2280
      Style           =   2  'Dropdown List
      TabIndex        =   2
      Top             =   360
      Width           =   2055
   End
   Begin VB.ComboBox cmbAuthor 
      Height          =   315
      Left            =   120
      Style           =   2  'Dropdown List
      TabIndex        =   1
      Top             =   360
      Width           =   2055
   End
   Begin VB.Label lblNotes 
      AutoSize        =   -1  'True
      Caption         =   "Notes:"
      Height          =   195
      Left            =   120
      TabIndex        =   15
      Top             =   840
      Width           =   465
   End
   Begin VB.Label lblPages 
      AutoSize        =   -1  'True
      Caption         =   "Pages:"
      Height          =   195
      Left            =   6600
      TabIndex        =   14
      Top             =   120
      Width           =   495
   End
   Begin VB.Label lblTitle 
      AutoSize        =   -1  'True
      Caption         =   "Title:"
      Height          =   195
      Left            =   4440
      TabIndex        =   13
      Top             =   120
      Width           =   345
   End
   Begin VB.Label lblArticleTitle 
      AutoSize        =   -1  'True
      Caption         =   "Article Title:"
      Height          =   195
      Left            =   2280
      TabIndex        =   12
      Top             =   120
      Width           =   825
   End
   Begin VB.Label lblAuthor 
      AutoSize        =   -1  'True
      Caption         =   "Author:"
      Height          =   195
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   510
   End
End
Attribute VB_Name = "frmNotes"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmbArticleTitle_Click()
    Dim e As Integer, f As Integer, TitleFound As Boolean
    cmbTitle.Clear
    For e = 1 To NumberOfSources
        TitleFound = False
        If (cmbAuthor.Text = SourceCards(e).BasicInfo.Author) And (cmbArticleTitle.Text = SourceCards(e).BasicInfo.ArticleTitle) Then
            For f = -1 To cmbTitle.ListCount - 1
                If f > -1 Then
                    cmbTitle.ListIndex = f
                    If cmbTitle.Text = SourceCards(e).BasicInfo.Title Then
                        TitleFound = True
                    End If
                End If
            Next f
            If Not TitleFound Then
                cmbTitle.AddItem SourceCards(e).BasicInfo.Title
            End If
        End If
    Next e
    TitleFound = False
    For e = -1 To cmbTitle.ListCount - 1
        If e > -1 Then
            cmbTitle.ListIndex = e
            If cmbTitle.Text = NoteCards(CurrentNoteCard).Source.Title Then
                TitleFound = True
            End If
            If TitleFound Then
                Exit For
            End If
        End If
    Next e
    NoteCardChanged = True
    cmdUpdateCard.Enabled = True
End Sub

Private Sub cmbAuthor_Click()
    Dim c As Integer, d As Integer, ArticleFound As Boolean
    cmbArticleTitle.Clear
    For c = 1 To NumberOfSources
        ArticleFound = False
        If cmbAuthor.Text = SourceCards(c).BasicInfo.Author Then
            For d = -1 To cmbArticleTitle.ListCount - 1
                If d > -1 Then
                    cmbArticleTitle.ListIndex = d
                    If cmbArticleTitle.Text = SourceCards(c).BasicInfo.ArticleTitle Then
                        ArticleFound = True
                    End If
                End If
            Next d
            If Not ArticleFound Then
                cmbArticleTitle.AddItem SourceCards(c).BasicInfo.ArticleTitle
            End If
        End If
    Next c
    ArticleFound = False
    For c = -1 To cmbArticleTitle.ListCount - 1
        If c > -1 Then
            cmbArticleTitle.ListIndex = c
            If cmbArticleTitle.Text = NoteCards(CurrentNoteCard).Source.ArticleTitle Then
                ArticleFound = True
            End If
            If ArticleFound Then
                Exit For
            End If
        End If
    Next c
    NoteCardChanged = True
    cmdUpdateCard.Enabled = True
End Sub

Private Sub cmbTitle_Change()
    NoteCardChanged = True
    cmdUpdateCard.Enabled = True
End Sub

Private Sub cmdJump_Click()
    Dim a As Integer, Worked As Boolean
    Worked = True
    If NoteCardChanged Then
        Worked = UpdateCard("Note")
        If Worked Then cmdUpdateCard.Enabled = False
    End If
    If Worked Then
        On Error GoTo ErrorHand
PickOne: a = InputBox("Which card do you want to go to? (1 to " & NumberOfNotes & ")", "Which One?", 1)
        If a > NumberOfNotes Or a < 1 Then
            MsgBox "Sorry, I couldn't find that card... Pick another one.", , "Oops!"
            GoTo PickOne
        Else
            CurrentNoteCard = a
        End If
        RefreshCards
    End If
ErrorHand:
End Sub

Private Sub cmdNewCard_Click()
    Dim Worked As Boolean
    If NumberOfNotes < 3000 Then
        Worked = True
        If NoteCardChanged = True Then
            Worked = UpdateCard("Note")
            If Worked Then cmdUpdateCard.Enabled = False
        End If
        If Worked Then
            NumberOfNotes = NumberOfNotes + 1
            CurrentNoteCard = NumberOfNotes
            RefreshCards
        End If
    Else
        MsgBox "Sorry, You cannot create any more note cards. There is a limit of 3000.", vbCritical, "Oops!"
    End If
    If NumberOfNotes = 3000 Then cmdNewCard.Enabled = False
End Sub

Private Sub cmdNextCard_Click()
    Dim Worked As Boolean
    Worked = True
    If NoteCardChanged Then
        Worked = UpdateCard("Note")
        If Worked Then cmdUpdateCard.Enabled = False
    End If
    If Worked Then
        If CurrentNoteCard < NumberOfNotes Then CurrentNoteCard = CurrentNoteCard + 1
        RefreshCards
    End If
End Sub

Private Sub cmdPreviousCard_Click()
    Dim Worked As Boolean
    Worked = True
    If NoteCardChanged Then
        Worked = UpdateCard("Note")
        If Worked Then cmdUpdateCard.Enabled = False
    End If
    If Worked Then
        If CurrentNoteCard > 1 Then CurrentNoteCard = CurrentNoteCard - 1
        RefreshCards
    End If
End Sub

Private Sub cmdRemoveCard_Click()
    Dim a As Integer, b As Integer, Worked As Boolean
    a = MsgBox("Are you sure? This will remove this card. It cannot be recovered!", vbExclamation + vbYesNo, "Sure?")
    If a = vbYes Then
        For a = CurrentNoteCard To NumberOfNotes
            NoteCards(a) = NoteCards(a + 1)
        Next a
        If CurrentNoteCard = NumberOfNotes Then CurrentNoteCard = CurrentNoteCard - 1
        NumberOfNotes = NumberOfNotes - 1
        RefreshCards
    End If
End Sub

Private Sub cmdUpdateCard_Click()
    Dim Worked As Boolean
    Worked = UpdateCard("Note")
    If Worked Then cmdUpdateCard.Enabled = False
End Sub

Private Sub Form_Load()
    Me.Left = 0
    Me.Top = frmSource.Top + frmSource.Height
End Sub

Private Sub txtNotes_Change()
    NoteCardChanged = True
    cmdUpdateCard.Enabled = True
End Sub

Private Sub txtPages_Change()
    NoteCardChanged = True
    cmdUpdateCard.Enabled = True
End Sub
