VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.MDIForm MDIMain 
   BackColor       =   &H8000000C&
   Caption         =   "Note Taker Beta [Untitled.dek]"
   ClientHeight    =   7500
   ClientLeft      =   60
   ClientTop       =   630
   ClientWidth     =   8505
   LinkTopic       =   "MDIForm1"
   StartUpPosition =   2  'CenterScreen
   Begin MSComDlg.CommonDialog ComDlg 
      Left            =   3960
      Top             =   3480
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileNew 
         Caption         =   "&New"
      End
      Begin VB.Menu mnuFileOpen 
         Caption         =   "&Open..."
      End
      Begin VB.Menu mnuFileSaveAs 
         Caption         =   "Save &As..."
      End
      Begin VB.Menu mnuFileSep 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileExit 
         Caption         =   "E&xit"
      End
   End
End
Attribute VB_Name = "MDIMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub MDIForm_Load()
    SourceCardChanged = False
    NumberOfSources = 1
    CurrentSourceCard = 1
    NoteCardChanged = False
    NumberOfNotes = 1
    CurrentNoteCard = 1
    Load frmSource
    Load frmNotes
End Sub

Private Sub MDIForm_Unload(Cancel As Integer)
    End
End Sub

Private Sub mnuFileExit_Click()
    Unload frmSource
    Unload frmNotes
    Unload Me
End Sub

Private Sub mnuFileNew_Click()
    Dim a As Integer, b As Integer
    a = MsgBox("Are you sure? You will lose all unsaved data.", vbExclamation + vbYesNo, "Sure?")
    If a = vbYes Then
        For b = 1 To NumberOfSources
            SourceCards(b).BasicInfo.Author = ""
            SourceCards(b).BasicInfo.Pages = ""
            SourceCards(b).BasicInfo.ArticleTitle = ""
            SourceCards(b).BasicInfo.Title = ""
            SourceCards(b).Edition = ""
            SourceCards(b).Volume = ""
            SourceCards(b).PublicationType = 0
            SourceCards(b).Publication = ""
            SourceCards(b).PublicationDate = ""
        Next b
        Me.Caption = "Note Taker Beta [Untitled.dek]"
        CurrentSourceCard = 1
        NumberOfSources = 1
        RefreshCards
    End If
End Sub

Private Sub mnuFileOpen_Click()
    LoadDeck
End Sub

Private Sub mnuFileSaveAs_Click()
    SaveDeck
End Sub
